Subject: Re: fopen() and CON
From: Chris Faylor <[email-masked]>
To: Andre Oliveira da Costa <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 10 Dec 1999 16:24:30 -0500

On Fri, Dec 10, 1999 at 06:23:06PM -0200, Andre Oliveira da Costa wrote:
>* should the CON device had been opened if I asked for CON.html?

It depends on what you mean by "should".  If it was up to me, the answer
would be "no".  If it is up to Microsoft, the answer is "yes".  Cygwin
can't override the underlying OS.

>* is there any way to avoid this? (I mean, what I really want is to have a
>text file named CON.html)

I'm not aware of any way to override this.  I suppose that on NT you
could open the file in POSIX mode, but cygwin has no way of doing this
via fopen.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]